Subject: Re: bug#7617: 24.0.50; `expand-file-name': removal of slashes

From: Jason Rumney <[email-masked]>
Date: Mon, 13 Dec 2010 08:49:17 +0800

On 13/12/2010 02:03, Drew Adams wrote:
> In interactive use, `...//abc...' is treated as just `/abc...' by Emacs.

That is a convenient shortcut for interactive use.  For expand-file-name 
it could open security holes where filename input is coming from 
untrusted sources, so code wants to ensure that the files given are 
contained in a safe directory.

>>> Finally, I need the Emacs 20 behavior for this for some of my code.
>>>        
>> Can you describe the use-case where the old behavior is needed?
>>      
> No, and it is irrelevant.

And you have just made this report irrelevant too, as the developers can 
see no valid reason to make the change you are requesting.